XScreenSaver(1)

NAME
vidwhacker - grab images and apply random filters to them

SYNOPSIS
vidwhacker [-display host:display.screen] [-root] [-window] [-verbose] [-stdin] [-stdout] [-delay seconds]

DESCRIPTION
The vidwhacker program grabs a image from the system's video input, applies random image filters to it, and displays the result. The vidwhacker program does not terminate until killed. It depends heavily on xv(1) and the various PBM tools (e.g., ppmrelief(1).)

OPTIONS
vidwhacker accepts the following options:

-root
    Draw on the root window.

-window
    Pop up a new window displaying the image. When a new image has been fully processed, destroy that window and pop up a new one. This is the default.

-verbose
    Print diagnostics.

-stdin
    Instead of grabbing an image from the system's video input, read an image to maniupulate from stdin. This image must be in

-delay seconds
    How long to sleep between images. Default 3 seconds (the actual elapsed time is significantly longer, due to processing time.) ppm(5) format. The program will still perform repeated random image transformations, but it will always use this one image as its starting point.

-stdout
    Instead of displaying the image on a window or on the root, write the new image on stdout, and exit.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

BUGS
Grabbing video images is, of course, very system-dependent. It works on SGIs, and on Linux systems that have the qcam(1) program. If your system does things differently, you'll need to edit the vidwhacker script (look for the grab() function.) It's slow.

TO DO
It might be interesting to rewrite this to use gimp(1) plugins instead of the pbm tools. It probably wouldn't be any faster, but there would be a wider variety of effects available.

SEE ALSO
X(1), xscreensaver(1), xv(1), ppmtogif(1), cjpeg(1)

COPYRIGHT
Copyright © 1998, 1999 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 18-Jan-98.